<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

/*
2012. 02. 07 ziumsoft
기존에 토큰 에러가 있어 zm_delete_token로 토큰 이름을 바꿈. 지음빌더가 아닌경우 ss_delete_token로 수정
*/
@include_once("$board_skin_path/view_comment.head.skin.php");

// 자동등록방지
include_once ("./norobot.inc.php");

// 코멘트를 새창으로 여는 경우 세션값이 없으므로 생성한다.
if ($is_admin && !$token)
{
    set_session("zm_delete_token", $token = uniqid(time()));
}

$list = array();

$is_comment_write = false;
if ($member[mb_level] >= $board[bo_comment_level])
    $is_comment_write = true;

// 코멘트 출력
//-- ziumsoft. 레코드 총 개수
$res			= sql_query("select wr_id from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1");
$total_comment_count	= mysql_num_rows($res);

//-- ziumsoft. 지음빌더에서는 코멘트 페이징
if($zm_board[comment_rows]) {
	$total_comment_page = ceil($total_comment_count / $zm_board[comment_rows]);		//-- 전체 페이지 계산
	if (!$cpage) { $cpage = 1; }												// 페이지가 없으면 첫 페이지 (1 페이지)
	$from_rec	= ($cpage - 1) * $zm_board[comment_rows];					//-- 시작 열을 구함

	$sql		= " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment desc, wr_comment_reply limit $from_rec, $zm_board[comment_rows]";

	//-- ziumsoft. 코멘트 페이징
	$comment_pages	= get_paging($config[cf_write_pages], $cpage, $total_comment_page, "$g4[bbs_path]/board.php?bo_table=$bo_table&wr_id=$wr_id&cwin=1&$qstr&cpage=");
}else{
	$sql		= " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment desc, wr_comment_reply";
	//$sql		= " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment, wr_comment_reply ";
}
$result		= sql_query($sql);
for ($i = 0; $row = sql_fetch_array($result); $i++)
{
    $list[$i]	= $row;

	//-- 상위 댓글의 글쓴이 정보. 윗글 쓴 이의 이름. 2014. 09. 06
	$parent_code	= substr($list[$i][wr_comment_reply], 0, strlen($list[$i][wr_comment_reply])-1);
	$resql	= "select wr_name from $write_table where wr_parent='{$list[$i][wr_parent]}' and wr_comment_reply= '$parent_code'";
	$rerd	= sql_fetch($resql);
	$list[$i][up_name]	= $rerd[wr_name];

	if($row['wr_datetime'] >= date("Y-m-d H:i:s", $g4['server_time'] - ($board['bo_new'] * 3600)))
	    $list[$i][icon_new] = "<img src='$board_skin_path/img/icon_new.gif' align='absmiddle'>";

    //$list[$i][name] = get_sideview($row[mb_id], cut_str($row[wr_name], 20, ''), $row[wr_email], $row[wr_homepage]);
    $tmp_name = get_text(cut_str($row[wr_name], $config[cf_cut_name])); // 설정된 자리수 만큼만 이름 출력
    if ($board[bo_use_sideview])
        $list[$i][name] = get_sideview($row[mb_id], $tmp_name, $row[wr_email], $row[wr_homepage]);
    else
        $list[$i][name] = "<span class='".($row[mb_id]?'member':'guest')."'>$tmp_name</span>";



    // 공백없이 연속 입력한 문자 자르기 (way 보드 참고. way.co.kr)
    //$list[$i][content] = eregi_replace("[^ \n<>]{130}", "\\0\n", $row[wr_content]);


    $list[$i][content] = $list[$i][content1]= "비밀글 입니다.";
    if (!strstr($row[wr_option], "secret") ||
        $is_admin ||
        ($write[mb_id]==$member[mb_id] && $member[mb_id]) ||
        ($row[mb_id]==$member[mb_id] && $member[mb_id])) {
        $list[$i][content1] = $row[wr_content];
        $list[$i][content] = conv_content($row[wr_content], 0, 'wr_content');
        $list[$i][content] = search_font($stx, $list[$i][content]);
    }
	//-- 모바일에서 작성한 글인지 검사 13.11.22
	if(strstr($list[$i][wr_option], "mobile"))
		$list[$i]['wr_mobile']	= 1;
	else
		$list[$i]['wr_mobile']	= 0;

    $list[$i][trackback] = url_auto_link($row[wr_trackback]);
    $list[$i][datetime] = substr($row[wr_datetime],2,14);

    // 관리자가 아니라면 중간 IP 주소를 감춘후 보여줍니다.
    $list[$i][ip] = $row[wr_ip];
    if (!$is_admin)
        $list[$i][ip] = preg_replace("/([0-9]+).([0-9]+).([0-9]+).([0-9]+)/", "\\1.♡.\\3.\\4", $row[wr_ip]);

    $list[$i][is_reply] = false;
    $list[$i][is_edit] = false;
    $list[$i][is_del]  = false;
    if ($is_comment_write || $is_admin)
    {
        if ($member[mb_id])
        {
            if ($row[mb_id] == $member[mb_id] || $is_admin)
            {
                $list[$i][del_link]  = "./delete_comment.php?bo_table=$bo_table&comment_id=$row[wr_id]&token=$token&cwin=$cwin&page=$page&cpage=$cpage".$qstr;
                $list[$i][is_edit]   = true;
                $list[$i][is_del]    = true;
            }
        }
        else
        {
            if (!$row[mb_id]) {
                $list[$i][del_link] = "./password.php?w=x&bo_table=$bo_table&comment_id=$row[wr_id]&cwin=$cwin&page=$page&cpage=$cpage".$qstr;
                $list[$i][is_del]   = true;
            }
        }

        if (strlen($row[wr_comment_reply]) < 5)
            $list[$i][is_reply] = true;
    }

    // 05.05.22
    // 답변있는 코멘트는 수정, 삭제 불가
    if ($i > 0 && !$is_admin)
    {
        if ($row[wr_comment_reply])
        {
            $tmp_comment_reply = substr($row[wr_comment_reply], 0, strlen($row[wr_comment_reply]) - 1);
            if ($tmp_comment_reply == $list[$i-1][wr_comment_reply])
            {
                $list[$i-1][is_edit] = false;
                $list[$i-1][is_del] = false;
            }
        }
    }

	//-- 12 05 01 ziumsoft 추천/공감이 있는 글은 수정 불가
	if(($row[wr_good] >= $zm_config[modifycondition]) && $zm_config[modifycondition] && $i) $list[$i][is_edit] = false;
}

//-- 베스트 댓글.
//-- 베스트 댓글의 조건? 추천 수가 10개가 넘으면서 추천 수가 가장 많은 것 순
if($zm_board[comment_best]) {
	$best_comment	= array();
	$best_count		= 3;							//-- 베스트 댓글 수
	$mini_count		= 10;							//-- 최소 추천 수

	$rs_best	= sql_query("select * from $write_table where wr_parent='$wr_id' and wr_is_comment=1 and wr_good>=$mini_count order by wr_good desc limit 0, $best_count");
	for($i = 0; $row = sql_fetch_array($rs_best); $i++){
		if ($row['wr_datetime'] >= date("Y-m-d H:i:s", $g4['server_time'] - ($board['bo_new'] * 3600)))
		    $best_comment[$i][icon_new] = "<img src='$board_skin_path/img/icon_n.gif' align='absmiddle'>";

		$best_comment[$i][wr_id]	= $row[wr_id];
		$best_comment[$i][wr_good]	= $row[wr_good];
		$best_comment[$i][wr_option]	= $row[wr_option];

	    $tmp_name	= get_text(cut_str($row[wr_name], $config[cf_cut_name])); // 설정된 자리수 만큼만 이름 출력
	    if ($board[bo_use_sideview])
		    $best_comment[$i][name] = get_sideview($row[mb_id], $tmp_name, $row[wr_email], $row[wr_homepage]);
	    else
		    $best_comment[$i][name] = "<span class='".($row[mb_id]?'member':'guest')."'>$tmp_name</span>";


		//-- ziumsoft. 코멘트에 추천기능 추가
		$best_comment[$i][zm_comment_good]	= "<a href='javascript:zm_board_vote(\"comment\", \"good\", \"$bo_table\", \"{$best_comment[$i][wr_id]}\")'>추천 : <span id='good_{$best_comment[$i][wr_id]}'>{$best_comment[$i][wr_good]}</span></a>";

	   $best_comment[$i][content] = $list[$i][content1]= "비밀글 입니다.";
	   if (!strstr($row[wr_option], "secret") || $is_admin || ($write[mb_id]==$member[mb_id] && $member[mb_id]) || ($row[mb_id]==$member[mb_id] && $member[mb_id])) {
			$best_comment[$i][content1] = $row[wr_content];
			$best_comment[$i][content] = conv_content($row[wr_content], 0, 'wr_content');
			$best_comment[$i][content] = search_font($stx, $best_comment[$i][content]);
		}

		$best_comment[$i][trackback] = url_auto_link($row[wr_trackback]);
		$best_comment[$i][datetime] = substr($row[wr_datetime],2,14);

		// 관리자가 아니라면 중간 IP 주소를 감춘후 보여줍니다.
		$best_comment[$i][ip] = $row[wr_ip];
		if (!$is_admin)
			$best_comment[$i][ip] = preg_replace("/([0-9]+).([0-9]+).([0-9]+).([0-9]+)/", "\\1.♡.\\3.\\4", $row[wr_ip]);
    }
}

//  코멘트수 제한 설정값
if ($is_admin)
{
    $comment_min = $comment_max = 0;
}
else
{
    $comment_min = (int)$board[bo_comment_min];
    $comment_max = (int)$board[bo_comment_max];
}

//-- 게시글이 블라인드 된 글인지 검사하고 대상은 블라인드 처리한다.
for($i=0; $i<count($list); $i++) {
	$isblind	= zm_isblindbbs($bo_table, $list[$i][wr_id]);
	if($isblind) {
		$siren	= "<img src='$g4[path]/zm.extend/img/icon_police_4.gif' align='absmiddle' border='0'>";
		$msg	= "<span id=singo>신고 된 글입니다.</span>";
		if($is_admin) {
			$list[$i][content]	= $siren . $msg . "<br>" . $list[$i][content];
		}else{
			$list[$i][content]	= "<font color='#828282'>$msg</font>";
		}
		$list[$i][is_blind]	= 1;
	}
}

include_once("$board_skin_path/view_comment.skin.php");

// 필터
//echo "<script type='text/javascript'> var g4_cf_filter = '$config[cf_filter]'; </script>\n";
//echo "<script type='text/javascript' src='$g4[path]/js/filter.js'></script>\n";

if (!$member[mb_id]) // 비회원일 경우에만
    echo "<script type='text/javascript' src='$g4[path]/js/md5.js'></script>\n";

@include_once("$board_skin_path/view_comment.tail.skin.php");
?>